// SPDX-FileCopyrightText: 2023 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

use reqwest::Client;


mod user;
mod comments;
use user::*;
use comments::*;

#[tokio::main]
async fn main() {
    let c = Client::default();
let user = get_user(&c, "realaravinth").await;
let comments = get_user_comments(&c, &user).await;
println!("{:#?}", comments);
}
